{% set shoppingcart_image = page.media.images|first %}
{% set image_size_product = config.plugins.shoppingcart.ui.image_size_product %}
{% set data = page.header.data %}
{% set parent =  page.parent() %}


<div id="shoppingcart-detail" class="block-group">
    <div class="container py-0 pure-g ">

        <div class="pure-u-1-1 pure-u-md-1-2">
            <div style="width: 90%; --swiper-navigation-color: #fff; --swiper-pagination-color: #fff" class="swiper-container sw2">
                <div class="swiper-wrapper">
                    {% for image in page.media.images %}
                        <div class="swiper-slide">
                            <img src="{{ image.cropZoom(600, 600).url }}" />
                        </div>
                    {% endfor %}
                </div>
                <div class="swiper-button-next"></div>
                <div class="swiper-button-prev"></div>
            </div>
            {% do assets.addInlineJs('
                  var swiper2 = new Swiper(".sw2", {
                    spaceBetween: 10,
                    navigation: {
                      nextEl: ".swiper-button-next",
                      prevEl: ".swiper-button-prev",
                    },
                  });
            ', {group:'bottom'}) %}
        </div>

        <div class="pure-u-1-1 pure-u-md-1-2 shoppingcart-info" {# data-aos="fade-left"  data-aos-delay="500" data-aos-duration="2200" #}>
            <div class="shoppingcart-info_title">
                <h1>{{ page.header.title|e }}</h1>
                {{ 'PLUGIN_SHOPPINGCART.COLLECTION'|t|e }} : {{ parent.title }}
            </div>
            <p>{{ page.content|raw }}</p>
            {% if page.header.colors %}
                <div class="shoppingcart-color">
                    <span class="shoppingcart-title">Couleurs :</span><br>
                    {% for color in page.header.colors %}
                        <input {% if loop.index == 1 %}checked{% endif%} style="background-color: {{ color.code }};" data-color="{{ color.code }}" data-price="{{ color.price }}" type="radio" name="color" id="{{ color.text|underscorize }}" value="{{ color.text|underscorize }}" />
                        <label for="{{ color.text|underscorize }}"><span title="{{ color.text|underscorize }}" style="background-color: {{ color.code }};"></span></label>
                    {% endfor %}
                </div>
            {% endif %}
            {% if page.header.atributs %}
                {% for atribut in page.header.atributs %}
                    <div class="shoppingcart-atribut">
                        <label class="shoppingcart-title" for="{{ atribut.atribut_text|underscorize }}">{{ atribut.atribut_text }} :</label><br>
                        <select name="{{ atribut.atribut_text|underscorize }}" id="{{ atribut.atribut_text|underscorize }}">
                            {% for value in atribut.atribut_liste.atribut_value %}
                                <option data-price="{{ value.price }}" value="{{ value.text }}">{{ value.text }}</option>
                            {% endfor %}
                        </select>
                    </div>
                {% endfor %}
            {% endif %}
            <div class="shoppingcart-quantity-chooser">
                <label for="js__shoppingcart__quantity">{{ 'PLUGIN_SHOPPINGCART.QUANTITY'|t|e }}</label>
                <input type="text" class="small" id="js__shoppingcart__quantity" placeholder="1" value="1" />
            </div>
            <div class="shoppingcart-thumb">
                <span class="shoppingcart-price">
                    {% include 'partials/shoppingcart_core_price.html.twig' with { price: page.header.price } %}
                </span>
            </div>
            {% set product = { 'title': page.header.title, 'id': md5(page.header.title), 'price': page.header.price, 'image': shoppingcart_image, 'url': page.url } %}
            {% do assets.addInlineJs('
                (function() {
                    console.log(ShoppingCart.currentProduct);


                }());
            ', { priority: 101, group:'bottom' }) %}
            {% include 'partials/shoppingcart_core_add_to_cart.html.twig' with { product: product } %}
        </div>
    </div>
</div>
<div class="container shoppingcart-details block">

    <div data-aos="fade-up"  data-aos-delay="500" data-aos-duration="2200">
        <h2>{{ 'PLUGIN_SHOPPINGCART.INFOS'|t|e }}</h2>
        <ul>
            <li>
                <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10 17.5a7.5 7.5 0 100-15 7.5 7.5 0 000 15zM3 7.5h14M3 12.5h14M9.583 2.5a14.167 14.167 0 000 15M10.416 2.5a14.167 14.167 0 010 15" stroke="#000" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/></svg>
                <strong>{{ 'PLUGIN_SHOPPINGCART.ORIGINE'|t|e }} :</strong>
                {{ data.origin }}
            </li>
            <li>
                <svg width="18" height="18" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M16.838 4.072L9.338.738a.834.834 0 00-.677 0l-7.5 3.334c-.017.007-.029.02-.045.029-.024.012-.049.02-.07.033-.019.013-.033.029-.05.042a.725.725 0 00-.159.162c-.016.023-.034.044-.049.067a.933.933 0 00-.063.138c-.008.022-.02.043-.026.065a.844.844 0 00-.032.225v8.334c0 .33.193.627.494.761l7.5 3.334a.829.829 0 00.339.071.83.83 0 00.335-.08l.003.009 7.5-3.334a.833.833 0 00.495-.761V4.833a.832.832 0 00-.495-.761zM9 2.412l5.448 2.421L9 7.254 7.91 6.77 3.552 4.833 9 2.413zM2.333 12.627v-6.51l5.833 2.592v6.51l-5.833-2.592zm7.5 2.592v-6.51l5.833-2.592v6.51l-5.833 2.592z" fill="#000"/></svg>
                <strong>{{ 'PLUGIN_SHOPPINGCART.MATERIAUX'|t|e }} :</strong>
                {{ data.materials }}
            </li>
            <li>
                <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M7.823 2.635a2.082 2.082 0 013.52 0 2.084 2.084 0 012.824 1.948v1.292a2.083 2.083 0 012.5 2.042v3.333c0 2.772-1.174 4.584-2.69 5.676-1.475 1.062-3.219 1.407-4.394 1.407-2.771 0-4.584-1.173-5.676-2.69C2.846 14.168 2.5 12.425 2.5 11.25V9.583A2.083 2.083 0 015 7.542V4.583a2.083 2.083 0 012.823-1.948zM9.167 10A.833.833 0 017.5 10V4.583a.417.417 0 00-.833 0v7.084a.833.833 0 01-1.667 0V9.583a.417.417 0 00-.833 0v1.667c0 .908.279 2.29 1.093 3.42.783 1.087 2.095 1.997 4.323 1.997.909 0 2.29-.28 3.42-1.093C14.09 14.79 15 13.478 15 11.25V7.917a.417.417 0 00-.833 0V10a.833.833 0 01-1.667 0V4.583a.417.417 0 00-.833 0v4.584a.833.833 0 11-1.667 0V3.75a.417.417 0 10-.833 0V10z" fill="#000"/></svg>
                <strong>{{ 'PLUGIN_SHOPPINGCART.TISSAGE'|t|e }} :</strong>
                {{ data.weaving }}
            </li>
            <li>
                <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M11.875 3.75h4.375v4.375M15.85 4.148L4.374 15.626M8.125 16.25H3.75v-4.375" stroke="#000" stroke-width="1.75" stroke-miterlimit="10" stroke-linecap="square"/></svg>
                <strong>{{ 'PLUGIN_SHOPPINGCART.DIMENSIONS'|t|e }} :</strong>
                {{ data.dimensions }}
            </li>
            <li>
                <svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10 3.125A1.885 1.885 0 008.125 5c0 .22.046.428.117.625H5.117l-.098.508-1.875 9.375-.019.058v1.309h13.75v-1.309l-.02-.058-1.874-9.375-.098-.508h-3.125c.075-.2.114-.411.117-.625A1.885 1.885 0 0010 3.125zm0 1.25c.352 0 .625.274.625.625a.617.617 0 01-.625.625A.617.617 0 019.375 5c0-.352.274-.625.625-.625zm-3.867 2.5h7.734l1.758 8.75H4.375l1.758-8.75z" fill="#000" stroke="#000" stroke-width=".5"/></svg>
                <strong>{{ 'PLUGIN_SHOPPINGCART.WEIGHT'|t|e }} :</strong>
                {{ data.weight }}
            </li>
            <li>
                <svg width="16" height="16" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M14 6c0-1.667-.583-3.083-1.75-4.25C11.084.583 9.667 0 8 0 6.334 0 4.917.583 3.75 1.75 2.585 2.917 2 4.333 2 6v.344C.73 9.594.064 11.906 0 13.28c-.04.917 1.386 1.375 4.282 1.375C5.386 15.552 6.626 16 8 16c1.459 0 2.698-.448 3.719-1.344 2.854 0 4.281-.458 4.281-1.375-.063-1.375-.73-3.687-2-6.937V6zm-6 8.656c-1.291 0-2.39-.453-3.296-1.36-.906-.905-1.36-2.004-1.36-3.296V6c0-1.208.438-2.302 1.313-3.281.5 1.75 3.146 2.625 7.937 2.625.042.125.062.343.062.656v4c0 1.292-.453 2.39-1.359 3.297-.906.906-2.005 1.36-3.297 1.36zm0-4c.438 0 .657-.219.657-.656v-.656H7.344V10c0 .438.219.656.656.656zM6 7.344a.627.627 0 01-.203.453.627.627 0 01-.453.203.661.661 0 01-.484-.203.627.627 0 01-.203-.453c0-.188.068-.35.203-.485a.661.661 0 01.484-.203c.167 0 .318.068.453.203a.661.661 0 01.204.485zm5.344 0a.628.628 0 01-.203.453.661.661 0 01-.485.203.628.628 0 01-.453-.203.628.628 0 01-.203-.453c0-.188.068-.35.203-.485a.628.628 0 01.454-.203c.187 0 .348.068.484.203a.661.661 0 01.203.485zm-4 5.312h1.313c.375 0 .692-.13.953-.39.26-.26.39-.568.39-.922H6c0 .354.13.661.391.922.26.26.578.39.953.39z" fill="#000"/></svg>
                <strong>{{ 'PLUGIN_SHOPPINGCART.ARTISAN'|t|e }} :</strong>
                {{ data.artisan }}
            </li>
        </ul>
        <hr>
        <p>{{ 'PLUGIN_SHOPPINGCART.REFERENCE'|t|e }} : {{ page.header.reference }}</p>
    </div>


    <div data-aos="fade-up"  data-aos-delay="500" data-aos-duration="2200">
        <h2>{{ 'PLUGIN_SHOPPINGCART.LIVRAISON'|t|e }}</h2>
        {{ page.header.livraison|markdown }}
    </div>


    <div data-aos="fade-up"  data-aos-delay="500" data-aos-duration="2200">
        <h2>Les étapes essentielles pour prendre soin de son tapis.</h2>
        <div class="swiper-container swiper-etapes">
            <div class="swiper-wrapper">
                {% for slide in page.header.slides  %}
                    <div class="swiper-slide">
                        <img src="{{ page.media[ slide.img|first ].cropZoom(286,380).url }}" alt="{{ slide.title }}"/>
                        <div class="py-18">
                            <h3>{{ slide.title }}</h3>
                            <p>{{ slide.content }}</p>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    {% do assets.addInlineJs('
        var swiper2 = new Swiper(".swiper-etapes", {
            slidesPerView: 4,
            spaceBetween: 30,
            autoplay: {
              delay: 4000,
              disableOnInteraction: false,
            },
          });
    ', {group:'bottom'}) %}

    <section class="{{ page.header.class }}" data-aos="fade-up"  data-aos-delay="500" data-aos-duration="2200">
        <div class="pure-g">
            <div class="pure-u-1-2">
                <h2>Produits similaires</h2>
            </div>
            <div class="pure-u-1-2 text-right">
                {#
                <a href="{{ collection_page.url }}" title="{{ collection_page.title }}">
                    Voir plus de produits
                </a>
                #}
            </div>
        </div>
        <div class="swiper-container swiper-{{ page.id }}">
            <div class="swiper-wrapper">
                {% for brothers in parent.children() %}
                    {% if page.url != brothers.url %}
                    <div class="swiper-slide">
                        <a href="{{ brothers.url }}" title="{{ brothers.title }}">
                            <img src="{{ (brothers.media.images|first).cropZoom(300, 540).url }}" alt="{{ brothers.title }}">
                            <h3>{{ brothers.title }}</h3>
                            <p>{{ brothers.header.price }} €</p>
                        </a>
                    </div>
                    {% endif %}
                {% endfor %}
            </div>
        </div>
    </section>

    {% do assets.addInlineJs('
        var swiper = new Swiper(".swiper-'~ page.id ~'", {
            slidesPerView: 4,
            spaceBetween: 30,
            autoplay: {
              delay: 4000,
              disableOnInteraction: false,
            },
          });
    ', {group:'bottom'}) %}
</div>
